/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *  TSTLINES.CPP -  test fline class                   V1.1  *
 *                                                           *
 *  Language:       Borland C++                              *
 *  System:         Gateway 386/25, MS-DOS 5.0               *
 *  Application:    CSE 687                                  *
 *  Author:         Jim Fawcett, CST 2-127, (315)443-4454    *
 *                                                           *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#include "flines.hpp"


void main() {

  cout << "\nTesting fline Class\n\n";

  fline line("tstlines.cpp");     // open file for lines
  next(line);
  cout << "this is the first line:\n" << line.str << "\n";
  next(line);
  cout << "this is the second line:\n" << line.str << "\n";
  prev(line);                     // can only back up one line
  cout << "this is the first line again:\n" << line.str << "\n";

  rewind(line);
  string temp, null_str;
  cout << "\n----looking for quotes----\n";
  while(!done(line)) {
    next(line);
    while ((temp = collect_quotes(line)) != null_str)
      cout << temp << "\n";
  }
  rewind(line);
  cout << "\n----looking for comments----\n";
  while(!done(line)) {
    next(line);
    while ((temp = collect_comments(line)) != null_str)
      cout << temp << "\n";
  }
  rewind(line);
  cout << "\n----looking for parentheses----\n";
  while(!done(line)) {
    next(line);
    while ((temp = collect_parens(line)
				       ) != null_str)
      cout << temp << "\n";
  }
}

